<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_READ)">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TEAMS}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS}})" 
                                                             />
    <br />
    <form class="ui form" id="team-form" th:object="${team}" method="post">
      <input type="hidden" th:field="*{id}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
	                                                             	 field = 'name', 
	                                                             	 required = true, 
	                                                             	 maxlength = 80, 
	                                                             	 placeholder = 'Enter Team Name', 
	                                                             	 errormessage = ${#fields.errors('name')},
	                                                             	 columnsize = 'eight wide'
	                                                               	 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}, 
	                                                                 field = 'subArea', 
	                                                                 options = ${subareas},
	                                                                 optionfield = 'item.name',
	                                                                 required = true,
	                                                                 columnsize = 'eight wide',
                                                                     emptyoption = true
	                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                              icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                              icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS},
                                                              icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                              icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                              icon2url = ''
                                                              )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TEAMS_JS}}"></script>
</body>
</html>